/*---------------------------------------------------------------------------------
 bbMemLimiter ( 2006 nocd5)
 ----------------------------------------------------------------------------------
 bbMemLimiter is a plugin for bbLean
 ----------------------------------------------------------------------------------
 bbMemLimiter is free software, released under the GNU General Public License,
 version 2, as published by the Free Software Foundation.  It is distributed
 WITHOUT ANY WARRANTY--without even the implied warranty of MERCHANTABILITY
 or FITNESS FOR A PARTICULAR PURPOSE.  Please see the GNU General Public
 License for more details:  [http://www.fsf.org/licenses/gpl.html].
 --------------------------------------------------------------------------------*/

#ifndef _WIN32_WINNT
    #define _WIN32_WINNT 0x0500
#endif

#include "BBApi.h"
#include <psapi.h>
#define WIN32_LEAN_AND_MEAN

//-------------------------------------------------------------------------------------
LPCSTR szAppName        = "bbMemLimiter";
LPCSTR szInfoVersion    = "0.0.1";
LPCSTR szInfoAuthor     = "nocd5";
LPCSTR szInfoRelDate    = "2006-09-20";
LPCSTR szInfoLink       = "";
LPCSTR szInfoEmail      = "";
LPCSTR szVersion        = "bbMemLimiter 0.0.1";

extern "C"
{
    DLL_EXPORT void      endPlugin(HINSTANCE);
    DLL_EXPORT int       beginPlugin(HINSTANCE);
    DLL_EXPORT LPCSTR    pluginInfo(int field);
};

//---------------------------------------------------------------------------------
HWND hPluginWnd = NULL;
HWND BBhWnd;

class TimerItem
{
public:
    void Set();
    void Kill();
    PROCESS_MEMORY_COUNTERS GetMemInfo();
    static const int TIMER_ID = 1;
};
TimerItem TimerObject;

LRESULT CALLBACK PluginProc(HWND, UINT, WPARAM, LPARAM);
int bb_messages[] = {BB_RECONFIGURE, BB_BROADCAST, 0};
//---------------------------------------------------------------------------------
